EDIT - bug #6229

Implement multi-language support for MultiLanguage textes everywhere
11/30/2016 12:58 PM - Andreas Muller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

Currently only a few multi-language attributes are really supported by the Editor. These are TextData.multilanguageText and
TaxonNode.excludedNote. A similar implementation also exists for term representations.

Not yet implemented is:

TaxonlInteraction.description
IndividualsAssociation.descritpion
DescriptionElementBase.modifyingText
KeyStatement.label
StateData.modifyingText

Mediati

Media. -
SpecimenOrObservationBase.definition
Classification.description

Some of them are even not yet implemented as simple fields.
On model side we should also check if it is not possible now to use the existing
eu.etaxonomy.cdm.model.common.MultilanguageText class. Long time ago hibernate did not support this due to a hibernate bug or

missing feature.

See alos #9007#note-11 (or related follow-up ticket)

Related issues:
Related to EDIT - bug #10108: Description for MediaSpecimen not shown even if... Closed
Follows EDIT - bug #6228: Fix behavior of multi-language editing Closed

Associated revisions

Revision 4e80230e - 02/16/2021 02:24 PM - Katja Luther

ref #6229: multilanguage support for media details view

Revision fc0d671e - 03/23/2021 09:47 AM - Katja Luther

ref #6229: fix problems with multilanguage support and title generation for media

History

#1 - 11/30/2016 12:58 PM - Andreas Miiller

- Due date set to 12/02/2016

- Start date changed from 11/30/2016 to 12/02/2016

- Follows bug #6228: Fix behavior of multi-language editing added

#2 - 11/30/2016 01:00 PM - Andreas Miiller
- Description updated

- Due date deleted (12/02/2016)

- Start date deleted (12/02/2016)

#3 - 10/27/2021 01:14 AM - Andreas Miiller
- Description updated

#4 - 10/27/2021 01:24 AM - Andreas Miiller
- Tags settoi18n

#5 - 05/12/2022 05:59 PM - Andreas Miiller

- Description updated

#6 - 07/29/2022 06:20 PM - Andreas Miiller
- Related to bug #10108: Description for MediaSpecimen not shown even if it exists (i18n) added

#7 - 09/13/2022 01:11 PM - Andreas Miiller

- Description updated
